ABITools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.abi.ABITools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.abi
Class ABITools

    java.lang.Object
      org.biojava.bio.program.abi.ABITools

    public class ABITools

extends Object

Useful functionality for working with fasta files where the quality of the DNA is encoded as upper and lower case DNA characters.

Author:
  Matthew Pocock

Field Summary
`static AtomicSymbol` | `_0` The poorly supported symbol.
`static AtomicSymbol` | `_1` The well supported symbol.
`static FiniteAlphabet` | `QUALITY` The quality alphabet.
`static Object` | `SEQUENCE` Alignment label for the DNA sequence row.
`static Object` | `SUPPORT` Alignment label for the support row.

Constructor Summary
`ABITools()`

Method Summary
`static Alignment` | `getAlignment(SymbolList abiSeq)` View a symbol list over the QUALITY alphabet as an alignment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUALITY

    public static final FiniteAlphabet QUALITY

  The quality alphabet. This is equivalent to DNA x [0,1] where 0 represents poorly supported (lower case) and 1 represents strongly supported (upper case).

### _0

    public static final AtomicSymbol _0

  The poorly supported symbol.

### _1

    public static final AtomicSymbol _1

  The well supported symbol.

### SEQUENCE

    public static final Object SEQUENCE

  Alignment label for the DNA sequence row.

### SUPPORT

    public static final Object SUPPORT

  Alignment label for the support row.

Constructor Detail

### ABITools

    public ABITools()

Method Detail

### getAlignment

    public static Alignment getAlignment(SymbolList abiSeq)
                                  throws IllegalAlphabetException

  View a symbol list over the QUALITY alphabet as an alignment.

  The alignment will have labels of SEQUENCE and SUPPORT that retrieve the DNA sequence and the binary support values respectively.

  Parameters:
    `abiSeq` - the SymbolList over the QUALITY alphabet to view
  Returns:
    an Alignment view of abiSeq
  Throws:
    `IllegalAlphabetException` - if abiSeq is not over QUALITY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD